import * as reportsClient from "@/client/reports.client"
import type { ReportSaveRequest } from "@/types/report.types";

export async function query(page?: number, companyIds?: number[], field?: string, keyword?: string, status?: number) {
  return reportsClient.query(page || 1, companyIds, field, keyword, status);
}

export async function upper(id: number) {
  return reportsClient.upper(id);
}

export async function get(id: number): Promise<ReportSaveRequest> {
  const resp = await reportsClient.get(id);
  if (!resp.metadata) {
    resp.metadata = [];
  }
  return resp;
}

export function link(reportId: number, token: string): string {
  return reportsClient.link(reportId, token)
}